# coding: utf-8
puts "ARGV: #{ARGV}"

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jungle_path/version'

Gem::Specification.new do |spec|
  spec.name          = 'jungle_path'
  spec.version       = JunglePath::VERSION
  spec.authors       = ['Michael VanZant']
  spec.email         = ['mxvanzant@yahoo.com']
  spec.summary       = 'Full-stack web application framework for creating API services.'
  spec.description   = 'Jungle Path is a full-stack web application framework for creating API services.'
  spec.homepage      = 'https://rubygems.org/gems/jungle_path'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  #spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.3.1'
  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"


  #spec.files         = `git ls-files -- lib/* CHANGELOG.md LICENSE.md README.md hanami-utils.gemspec`.split($/)
	#spec.files         = ['lib/jungle_path-json.rb', 'lib/jungle_path/json.rb']
  #spec.files         = `git ls-files`.split($/)
  #spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  #spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  #spec.require_paths = ['lib']
  #spec.required_ruby_version = '>= 2.3.1'
  #spec.add_runtime_dependency 'oj', '2.17.4'
  #spec.add_runtime_dependency 'sequel', '>= 4.0.0'
  #spec.add_runtime_dependency 'pg'
  #spec.add_runtime_dependency 'sequel_pg'
  #spec.add_runtime_dependency 'sinatra', '~> 1.3'
  #spec.add_runtime_dependency 'rack-contrib'
  #spec.add_runtime_dependency 'sinatra-param'
  #spec.add_runtime_dependency 'sinatra-basic-auth'
  #spec.add_development_dependency 'bundler', '~> 1.6'
  #spec.add_development_dependency 'rake',    '~> 11'
end
